#include <pslib.h>
#include <ippdb.h>
#include <stdlib.h>
#include <string.h>

#define MAX_STRING_LENGTH 1024

int main ()
{
    {
        psMetadata      *md;
        summitExpRow    *object;
        bool            status;

        object = summitExpRowAlloc("a string", "a string", "a string", "0001-01-01T00:00:00Z", "a string", "a string", -32);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        md = summitExpMetadataFromObject(object);
        if (!md) {
            exit(EXIT_FAILURE);
        }

        psFree(object);

        if (strncmp(psMetadataLookupPtr(&status, md, "exp_name"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "camera"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "telescope"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "exp_type"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "uri"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupS32(&status, md, "imfiles") == -32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }

        psFree(md);
    }

    {
        psMetadata      *md;
        summitImfileRow *object;
        bool            status;

        object = summitImfileRowAlloc("a string", "a string", "a string", "a string", -32, "a string", "a string", "a string", "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        md = summitImfileMetadataFromObject(object);
        if (!md) {
            exit(EXIT_FAILURE);
        }

        psFree(object);

        if (strncmp(psMetadataLookupPtr(&status, md, "exp_name"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "camera"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "telescope"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "file_id"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupS32(&status, md, "bytes") == -32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "md5sum"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "class"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "class_id"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "uri"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }

        psFree(md);
    }

    {
        psMetadata      *md;
        pzPendingExpRow *object;
        bool            status;

        object = pzPendingExpRowAlloc("a string", "a string", "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        md = pzPendingExpMetadataFromObject(object);
        if (!md) {
            exit(EXIT_FAILURE);
        }

        psFree(object);

        if (strncmp(psMetadataLookupPtr(&status, md, "exp_name"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "camera"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "telescope"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }

        psFree(md);
    }

    {
        psMetadata      *md;
        pzPendingImfileRow *object;
        bool            status;

        object = pzPendingImfileRowAlloc("a string", "a string", "a string", "a string", "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        md = pzPendingImfileMetadataFromObject(object);
        if (!md) {
            exit(EXIT_FAILURE);
        }

        psFree(object);

        if (strncmp(psMetadataLookupPtr(&status, md, "exp_name"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "camera"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "telescope"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "class"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "class_id"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }

        psFree(md);
    }

    {
        psMetadata      *md;
        pzDoneExpRow    *object;
        bool            status;

        object = pzDoneExpRowAlloc("a string", "a string", "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        md = pzDoneExpMetadataFromObject(object);
        if (!md) {
            exit(EXIT_FAILURE);
        }

        psFree(object);

        if (strncmp(psMetadataLookupPtr(&status, md, "exp_name"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "camera"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "telescope"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }

        psFree(md);
    }

    {
        psMetadata      *md;
        pzDoneImfileRow *object;
        bool            status;

        object = pzDoneImfileRowAlloc("a string", "a string", "a string", "a string", "a string", "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        md = pzDoneImfileMetadataFromObject(object);
        if (!md) {
            exit(EXIT_FAILURE);
        }

        psFree(object);

        if (strncmp(psMetadataLookupPtr(&status, md, "exp_name"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "camera"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "telescope"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "class"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "class_id"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "uri"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }

        psFree(md);
    }

    {
        psMetadata      *md;
        newExpRow       *object;
        bool            status;

        object = newExpRowAlloc(-64, "a string", "a string", "a string", "a string", "a string", "a string", "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        md = newExpMetadataFromObject(object);
        if (!md) {
            exit(EXIT_FAILURE);
        }

        psFree(object);

            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "tmp_exp_name"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "tmp_camera"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "tmp_telescope"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "state"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "workdir"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "workdir_state"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "reduction"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }

        psFree(md);
    }

    {
        psMetadata      *md;
        newImfileRow    *object;
        bool            status;

        object = newImfileRowAlloc(-64, "a string", "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        md = newImfileMetadataFromObject(object);
        if (!md) {
            exit(EXIT_FAILURE);
        }

        psFree(object);

            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "tmp_class_id"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "uri"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }

        psFree(md);
    }

    {
        psMetadata      *md;
        rawExpRow       *object;
        bool            status;

        object = rawExpRowAlloc(-64, "a string", "a string", "a string", "0001-01-01T00:00:00Z", "a string", "a string", "a string", "a string", "a string", "a string", 32.32, 64.64, 64.64, 32.32, 32.32, 64.64, 64.64, 64.64, 64.64, 64.64, 32.32, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, "a string", 32.32, -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        md = rawExpMetadataFromObject(object);
        if (!md) {
            exit(EXIT_FAILURE);
        }

        psFree(object);

            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "exp_name"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "camera"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "telescope"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "exp_tag"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "exp_type"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "filelevel"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "workdir"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "reduction"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "filter"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF32(&status, md, "airmass") == 32.32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "ra") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "decl") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF32(&status, md, "exp_time") == 32.32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF32(&status, md, "sat_pixel_frac") == 32.32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "bg") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "bg_stdev") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "bg_mean_stdev") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "alt") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "az") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF32(&status, md, "ccd_temp") == 32.32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "posang") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_1") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_2") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_3") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_4") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_5") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "object"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF32(&status, md, "solang") == 32.32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }

        psFree(md);
    }

    {
        psMetadata      *md;
        rawImfileRow    *object;
        bool            status;

        object = rawImfileRowAlloc(-64, "a string", "a string", "a string", "0001-01-01T00:00:00Z", "a string", "a string", "a string", "a string", "a string", "a string", 32.32, 64.64, 64.64, 32.32, 32.32, 64.64, 64.64, 64.64, 64.64, 64.64, 32.32, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, "a string", -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        md = rawImfileMetadataFromObject(object);
        if (!md) {
            exit(EXIT_FAILURE);
        }

        psFree(object);

            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "exp_name"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "camera"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "telescope"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "tmp_class_id"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "class_id"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "uri"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "exp_type"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "filelevel"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "filter"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF32(&status, md, "airmass") == 32.32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "ra") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "decl") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF32(&status, md, "exp_time") == 32.32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF32(&status, md, "sat_pixel_frac") == 32.32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "bg") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "bg_stdev") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "bg_mean_stdev") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "alt") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "az") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF32(&status, md, "ccd_temp") == 32.32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "posang") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_1") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_2") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_3") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_4") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_5") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "object"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }

        psFree(md);
    }

    {
        psMetadata      *md;
        guidePendingExpRow *object;
        bool            status;

        object = guidePendingExpRowAlloc(-64, -64, "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        md = guidePendingExpMetadataFromObject(object);
        if (!md) {
            exit(EXIT_FAILURE);
        }

        psFree(object);

            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "recipe"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }

        psFree(md);
    }

    {
        psMetadata      *md;
        chipRunRow      *object;
        bool            status;

        object = chipRunRowAlloc(-64, -64, "a string", "a string", "a string", "a string", "a string", "a string", "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        md = chipRunMetadataFromObject(object);
        if (!md) {
            exit(EXIT_FAILURE);
        }

        psFree(object);

            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "state"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "workdir"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "workdir_state"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "label"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "reduction"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "expgroup"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "dvodb"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }

        psFree(md);
    }

    {
        psMetadata      *md;
        chipProcessedImfileRow *object;
        bool            status;

        object = chipProcessedImfileRowAlloc(-64, -64, "a string", "a string", 32.32, 32.32, 32.32, 32.32, 32.32, 32.32, 32.32, 32.32, 32.32, 32.32, 32.32, 32.32, 32.32, 32.32, -32, -32, -32, -32, "a string", -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        md = chipProcessedImfileMetadataFromObject(object);
        if (!md) {
            exit(EXIT_FAILURE);
        }

        psFree(object);

            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "class_id"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "uri"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF32(&status, md, "bg") == 32.32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF32(&status, md, "bg_stdev") == 32.32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF32(&status, md, "bg_mean_stdev") == 32.32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF32(&status, md, "bias") == 32.32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF32(&status, md, "bias_stdev") == 32.32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF32(&status, md, "fringe_0") == 32.32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF32(&status, md, "fringe_1") == 32.32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF32(&status, md, "fringe_2") == 32.32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF32(&status, md, "sigma_ra") == 32.32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF32(&status, md, "sigma_dec") == 32.32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF32(&status, md, "ap_resid") == 32.32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF32(&status, md, "ap_resid_stdev") == 32.32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF32(&status, md, "fwhm") == 32.32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF32(&status, md, "fwhm_range") == 32.32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupS32(&status, md, "n_stars") == -32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupS32(&status, md, "n_extended") == -32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupS32(&status, md, "n_cr") == -32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupS32(&status, md, "n_astrom") == -32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "path_base"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }

        psFree(md);
    }

    {
        psMetadata      *md;
        chipMaskRow     *object;
        bool            status;

        object = chipMaskRowAlloc("a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        md = chipMaskMetadataFromObject(object);
        if (!md) {
            exit(EXIT_FAILURE);
        }

        psFree(object);

        if (strncmp(psMetadataLookupPtr(&status, md, "label"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }

        psFree(md);
    }

    {
        psMetadata      *md;
        camRunRow       *object;
        bool            status;

        object = camRunRowAlloc(-64, -64, "a string", "a string", "a string", "a string", "a string", "a string", "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        md = camRunMetadataFromObject(object);
        if (!md) {
            exit(EXIT_FAILURE);
        }

        psFree(object);

            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "state"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "workdir"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "workdir_state"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "label"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "reduction"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "expgroup"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "dvodb"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }

        psFree(md);
    }

    {
        psMetadata      *md;
        camProcessedExpRow *object;
        bool            status;

        object = camProcessedExpRowAlloc(-64, -64, "a string", 32.32, 32.32, 32.32, 32.32, 32.32, 32.32, 32.32, 32.32, 32.32, -32, -32, -32, -32, "a string", -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        md = camProcessedExpMetadataFromObject(object);
        if (!md) {
            exit(EXIT_FAILURE);
        }

        psFree(object);

            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "uri"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF32(&status, md, "bg") == 32.32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF32(&status, md, "bg_stdev") == 32.32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF32(&status, md, "bg_mean_stdev") == 32.32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF32(&status, md, "sigma_ra") == 32.32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF32(&status, md, "sigma_dec") == 32.32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF32(&status, md, "zp_mean") == 32.32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF32(&status, md, "zp_stdev") == 32.32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF32(&status, md, "fwhm") == 32.32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF32(&status, md, "fwhm_range") == 32.32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupS32(&status, md, "n_stars") == -32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupS32(&status, md, "n_extended") == -32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupS32(&status, md, "n_cr") == -32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupS32(&status, md, "n_astrom") == -32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "path_base"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }

        psFree(md);
    }

    {
        psMetadata      *md;
        camMaskRow      *object;
        bool            status;

        object = camMaskRowAlloc("a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        md = camMaskMetadataFromObject(object);
        if (!md) {
            exit(EXIT_FAILURE);
        }

        psFree(object);

        if (strncmp(psMetadataLookupPtr(&status, md, "label"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }

        psFree(md);
    }

    {
        psMetadata      *md;
        warpRunRow      *object;
        bool            status;

        object = warpRunRowAlloc(-64, "a string", "a string", "a string", "a string", "0001-01-01T00:00:00Z");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        md = warpRunMetadataFromObject(object);
        if (!md) {
            exit(EXIT_FAILURE);
        }

        psFree(object);

            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "mode"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "state"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "workdir"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "dvodb"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }

        psFree(md);
    }

    {
        psMetadata      *md;
        warpInputExpRow *object;
        bool            status;

        object = warpInputExpRowAlloc(-64, -64, true);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        md = warpInputExpMetadataFromObject(object);
        if (!md) {
            exit(EXIT_FAILURE);
        }

        psFree(object);

            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupBool(&status, md, "magiced") == true) {
            psFree(md);
            exit(EXIT_FAILURE);
        }

        psFree(md);
    }

    {
        psMetadata      *md;
        warpSkyCellMapRow *object;
        bool            status;

        object = warpSkyCellMapRowAlloc(-64, "a string", "a string", -64, "a string", -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        md = warpSkyCellMapMetadataFromObject(object);
        if (!md) {
            exit(EXIT_FAILURE);
        }

        psFree(object);

            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "skycell_id"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "tess_id"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "class_id"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }

        psFree(md);
    }

    {
        psMetadata      *md;
        warpSkyfileRow  *object;
        bool            status;

        object = warpSkyfileRowAlloc(-64, "a string", "a string", "a string", "a string", 64.64, 64.64, 64.64, -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        md = warpSkyfileMetadataFromObject(object);
        if (!md) {
            exit(EXIT_FAILURE);
        }

        psFree(object);

            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "skycell_id"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "tess_id"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "uri"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "path_base"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "bg") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "bg_stdev") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "pixel_fill") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }

        psFree(md);
    }

    {
        psMetadata      *md;
        diffRunRow      *object;
        bool            status;

        object = diffRunRowAlloc(-64, "a string", "a string", "a string", "0001-01-01T00:00:00Z", "a string", "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        md = diffRunMetadataFromObject(object);
        if (!md) {
            exit(EXIT_FAILURE);
        }

        psFree(object);

            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "state"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "workdir"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "dvodb"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "skycell_id"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "tess_id"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }

        psFree(md);
    }

    {
        psMetadata      *md;
        diffInputSkyfileRow *object;
        bool            status;

        object = diffInputSkyfileRowAlloc(-64, true, -64, -64, "a string", "a string", "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        md = diffInputSkyfileMetadataFromObject(object);
        if (!md) {
            exit(EXIT_FAILURE);
        }

        psFree(object);

            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupBool(&status, md, "template") == true) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "skycell_id"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "tess_id"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "kind"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }

        psFree(md);
    }

    {
        psMetadata      *md;
        diffSkyfileRow  *object;
        bool            status;

        object = diffSkyfileRowAlloc(-64, "a string", "a string", 64.64, 64.64, -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        md = diffSkyfileMetadataFromObject(object);
        if (!md) {
            exit(EXIT_FAILURE);
        }

        psFree(object);

            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "uri"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "path_base"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "bg") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "bg_stdev") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }

        psFree(md);
    }

    {
        psMetadata      *md;
        stackRunRow     *object;
        bool            status;

        object = stackRunRowAlloc(-64, "a string", "a string", "a string", "0001-01-01T00:00:00Z", "a string", "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        md = stackRunMetadataFromObject(object);
        if (!md) {
            exit(EXIT_FAILURE);
        }

        psFree(object);

            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "state"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "workdir"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "dvodb"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "skycell_id"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "tess_id"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }

        psFree(md);
    }

    {
        psMetadata      *md;
        stackInputSkyfileRow *object;
        bool            status;

        object = stackInputSkyfileRowAlloc(-64, -64);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        md = stackInputSkyfileMetadataFromObject(object);
        if (!md) {
            exit(EXIT_FAILURE);
        }

        psFree(object);

            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }

        psFree(md);
    }

    {
        psMetadata      *md;
        stackSumSkyfileRow *object;
        bool            status;

        object = stackSumSkyfileRowAlloc(-64, "a string", "a string", 64.64, 64.64, -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        md = stackSumSkyfileMetadataFromObject(object);
        if (!md) {
            exit(EXIT_FAILURE);
        }

        psFree(object);

            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "uri"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "path_base"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "bg") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "bg_stdev") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }

        psFree(md);
    }

    {
        psMetadata      *md;
        detRunRow       *object;
        bool            status;

        object = detRunRowAlloc(-64, -32, "a string", "a string", "a string", "a string", "a string", "a string", "a string", "a string", "a string", "a string", 32.32, 32.32, 32.32, 32.32, 32.32, 32.32, 64.64, 64.64, "0001-01-01T00:00:00Z", "0001-01-01T00:00:00Z", "0001-01-01T00:00:00Z", "0001-01-01T00:00:00Z", "0001-01-01T00:00:00Z", 32.32, 32.32, "a string", -32);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        md = detRunMetadataFromObject(object);
        if (!md) {
            exit(EXIT_FAILURE);
        }

        psFree(object);

            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupS32(&status, md, "iteration") == -32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "det_type"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "mode"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "state"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "filelevel"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "workdir"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "camera"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "telescope"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "exp_type"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "reduction"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "filter"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF32(&status, md, "airmass_min") == 32.32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF32(&status, md, "airmass_max") == 32.32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF32(&status, md, "exp_time_min") == 32.32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF32(&status, md, "exp_time_max") == 32.32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF32(&status, md, "ccd_temp_min") == 32.32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF32(&status, md, "ccd_temp_max") == 32.32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "posang_min") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "posang_max") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF32(&status, md, "solang_min") == 32.32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF32(&status, md, "solang_max") == 32.32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "label"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupS32(&status, md, "parent") == -32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }

        psFree(md);
    }

    {
        psMetadata      *md;
        detInputExpRow  *object;
        bool            status;

        object = detInputExpRowAlloc(-64, -32, -64, true);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        md = detInputExpMetadataFromObject(object);
        if (!md) {
            exit(EXIT_FAILURE);
        }

        psFree(object);

            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupS32(&status, md, "iteration") == -32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupBool(&status, md, "include") == true) {
            psFree(md);
            exit(EXIT_FAILURE);
        }

        psFree(md);
    }

    {
        psMetadata      *md;
        detProcessedImfileRow *object;
        bool            status;

        object = detProcessedImfileRowAlloc(-64, -64, "a string", "a string", "a string", 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, "a string", -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        md = detProcessedImfileMetadataFromObject(object);
        if (!md) {
            exit(EXIT_FAILURE);
        }

        psFree(object);

            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "class_id"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "uri"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "recipe"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "bg") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "bg_stdev") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "bg_mean_stdev") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "fringe_0") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "fringe_1") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "fringe_2") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_1") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_2") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_3") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_4") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_5") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "path_base"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }

        psFree(md);
    }

    {
        psMetadata      *md;
        detProcessedExpRow *object;
        bool            status;

        object = detProcessedExpRowAlloc(-64, -64, "a string", 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, "a string", -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        md = detProcessedExpMetadataFromObject(object);
        if (!md) {
            exit(EXIT_FAILURE);
        }

        psFree(object);

            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "recipe"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "bg") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "bg_stdev") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "bg_mean_stdev") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "fringe_0") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "fringe_1") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "fringe_2") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_1") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_2") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_3") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_4") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_5") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "path_base"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }

        psFree(md);
    }

    {
        psMetadata      *md;
        detStackedImfileRow *object;
        bool            status;

        object = detStackedImfileRowAlloc(-64, -32, "a string", "a string", "a string", 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        md = detStackedImfileMetadataFromObject(object);
        if (!md) {
            exit(EXIT_FAILURE);
        }

        psFree(object);

            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupS32(&status, md, "iteration") == -32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "class_id"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "uri"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "recipe"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "bg") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "bg_stdev") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "bg_mean_stdev") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_1") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_2") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_3") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_4") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_5") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }

        psFree(md);
    }

    {
        psMetadata      *md;
        detNormalizedStatImfileRow *object;
        bool            status;

        object = detNormalizedStatImfileRowAlloc(-64, -32, "a string", 32.32, -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        md = detNormalizedStatImfileMetadataFromObject(object);
        if (!md) {
            exit(EXIT_FAILURE);
        }

        psFree(object);

            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupS32(&status, md, "iteration") == -32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "class_id"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF32(&status, md, "norm") == 32.32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }

        psFree(md);
    }

    {
        psMetadata      *md;
        detNormalizedImfileRow *object;
        bool            status;

        object = detNormalizedImfileRowAlloc(-64, -32, "a string", "a string", 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, "a string", -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        md = detNormalizedImfileMetadataFromObject(object);
        if (!md) {
            exit(EXIT_FAILURE);
        }

        psFree(object);

            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupS32(&status, md, "iteration") == -32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "class_id"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "uri"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "bg") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "bg_stdev") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "bg_mean_stdev") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_1") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_2") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_3") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_4") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_5") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "path_base"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }

        psFree(md);
    }

    {
        psMetadata      *md;
        detNormalizedExpRow *object;
        bool            status;

        object = detNormalizedExpRowAlloc(-64, -32, "a string", 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, "a string", -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        md = detNormalizedExpMetadataFromObject(object);
        if (!md) {
            exit(EXIT_FAILURE);
        }

        psFree(object);

            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupS32(&status, md, "iteration") == -32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "recipe"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "bg") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "bg_stdev") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "bg_mean_stdev") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_1") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_2") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_3") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_4") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_5") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "path_base"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }

        psFree(md);
    }

    {
        psMetadata      *md;
        detResidImfileRow *object;
        bool            status;

        object = detResidImfileRowAlloc(-64, -32, -64, "a string", "a string", "a string", 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, "a string", -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        md = detResidImfileMetadataFromObject(object);
        if (!md) {
            exit(EXIT_FAILURE);
        }

        psFree(object);

            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupS32(&status, md, "iteration") == -32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "class_id"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "uri"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "recipe"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "bg") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "bg_stdev") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "bg_mean_stdev") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "bg_skewness") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "bg_kurtosis") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "bin_stdev") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "fringe_0") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "fringe_1") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "fringe_2") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "fringe_resid_0") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "fringe_resid_1") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "fringe_resid_2") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_1") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_2") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_3") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_4") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_5") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "path_base"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }

        psFree(md);
    }

    {
        psMetadata      *md;
        detResidExpRow  *object;
        bool            status;

        object = detResidExpRowAlloc(-64, -32, -64, "a string", 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, "a string", true, -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        md = detResidExpMetadataFromObject(object);
        if (!md) {
            exit(EXIT_FAILURE);
        }

        psFree(object);

            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupS32(&status, md, "iteration") == -32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "recipe"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "bg") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "bg_stdev") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "bg_mean_stdev") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "bg_skewness") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "bg_kurtosis") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "bin_stdev") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "fringe_0") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "fringe_1") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "fringe_2") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "fringe_resid_0") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "fringe_resid_1") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "fringe_resid_2") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_1") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_2") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_3") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_4") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_5") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "path_base"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupBool(&status, md, "accept") == true) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }

        psFree(md);
    }

    {
        psMetadata      *md;
        detRunSummaryRow *object;
        bool            status;

        object = detRunSummaryRowAlloc(-64, -32, 64.64, 64.64, 64.64, true, -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        md = detRunSummaryMetadataFromObject(object);
        if (!md) {
            exit(EXIT_FAILURE);
        }

        psFree(object);

            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupS32(&status, md, "iteration") == -32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "bg") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "bg_stdev") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "bg_mean_stdev") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupBool(&status, md, "accept") == true) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }

        psFree(md);
    }

    {
        psMetadata      *md;
        detRegisteredImfileRow *object;
        bool            status;

        object = detRegisteredImfileRowAlloc(-64, -32, "a string", "a string", 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, "a string", -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        md = detRegisteredImfileMetadataFromObject(object);
        if (!md) {
            exit(EXIT_FAILURE);
        }

        psFree(object);

            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupS32(&status, md, "iteration") == -32) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "class_id"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "uri"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "bg") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "bg_stdev") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "bg_mean_stdev") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_1") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_2") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_3") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_4") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (!psMetadataLookupF64(&status, md, "user_5") == 64.64) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "path_base"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }

        psFree(md);
    }

    {
        psMetadata      *md;
        magicRunRow     *object;
        bool            status;

        object = magicRunRowAlloc(-64, "a string", "a string", "a string", "a string", "a string", "0001-01-01T00:00:00Z");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        md = magicRunMetadataFromObject(object);
        if (!md) {
            exit(EXIT_FAILURE);
        }

        psFree(object);

            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "state"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "workdir"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "workdir_state"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "label"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "dvodb"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }

        psFree(md);
    }

    {
        psMetadata      *md;
        magicInputSkyfileRow *object;
        bool            status;

        object = magicInputSkyfileRowAlloc(-64, -64, "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        md = magicInputSkyfileMetadataFromObject(object);
        if (!md) {
            exit(EXIT_FAILURE);
        }

        psFree(object);

            psFree(md);
            exit(EXIT_FAILURE);
        }
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "node"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }

        psFree(md);
    }

    {
        psMetadata      *md;
        magicTreeRow    *object;
        bool            status;

        object = magicTreeRowAlloc(-64, "a string", "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        md = magicTreeMetadataFromObject(object);
        if (!md) {
            exit(EXIT_FAILURE);
        }

        psFree(object);

            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "node"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "dep"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }

        psFree(md);
    }

    {
        psMetadata      *md;
        magicNodeResultRow *object;
        bool            status;

        object = magicNodeResultRowAlloc(-64, "a string", "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        md = magicNodeResultMetadataFromObject(object);
        if (!md) {
            exit(EXIT_FAILURE);
        }

        psFree(object);

            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "node"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "uri"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }

        psFree(md);
    }

    {
        psMetadata      *md;
        magicMaskRow    *object;
        bool            status;

        object = magicMaskRowAlloc(-64, "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        md = magicMaskMetadataFromObject(object);
        if (!md) {
            exit(EXIT_FAILURE);
        }

        psFree(object);

            psFree(md);
            exit(EXIT_FAILURE);
        }
        if (strncmp(psMetadataLookupPtr(&status, md, "uri"), "a string", MAX_STRING_LENGTH)) {
            psFree(md);
            exit(EXIT_FAILURE);
        }

        psFree(md);
    }

    exit(EXIT_SUCCESS);
}
